FIX: include all reloadable parts of the plugin (PR #48)

Currently, if you got that plugin installed and change code in development in Discourse, you will see an error like: undefined method can_vote?’`

A reason for that was incorrectly defined reloadable_patch block. That block defines everything which should be reloaded by ActiveSupport::Reloader if code is changed.

because that was not included in that block

class ::Category
  def self.can_vote?(category_id)
  end
end

method can_vote? was not anymore available.

GitHub

Oh nice, the change is kind of scary, but once you ignore whitespace it is a lot clearer.

Lets try this out!